PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerBinaryWriteAll

writes to a binary file from all processes

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWriteAll(PetscViewer viewer,const void *data,PetscInt count,PetscInt start,PetscInt total,PetscDataType dtype)

Collective

### Input Parameters

| viewer | - the binary viewer
| data | - location of data
| count | - local number of items of data to write
| start | - local start, can be PETSC_DETERMINE
| total | - global number of items of data to write, can be PETSC_DETERMINE
| dtype | - type of data to write

### See Also

PetscViewerBinaryOpen(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryWriteAll(), PetscViewerBinaryReadAll()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages